Subject: Re: [Sip] Re-use of Call-ID in the SIP Replaces header

From: "Daniel G. Petrie" <[email-masked]>
Date: Thu, 01 Nov 2001 14:17:12 -0500

Sorry, this thread is perhaps a little stale.

We had rough concensus at the Feb. Interim
SIP WG meeting that though there was no
implied symatics, it was ok for a UA to
reuse a Call-Id (e.g. on a conference bridge).
http://www.softarmor.com/sipwg/meets/interim-feb-01/notes/dwillis.html

Did I miss some discussion which changed
this decision?  The change to make UAs MUST
use a unique ID will impact existing implementations.

Jonathan Rosenberg wrote:

>
>
> > -----Original Message-----
> > From: Billy Biggs [mailto:[email-masked]]
> > Sent: Tuesday, July 31, 2001 10:36 AM
> > To: Jonathan Cumming
> > Cc: SIP List
> > Subject: Re: [Sip] Re-use of Call-ID in the SIP Replaces header
> >
> >
> > Jonathan Cumming ([email-masked]):
> >
> > > In section 2.2 of draft-biggs-sip-replaces-01, you specify that "A
> > > unique call-id may be given to the replacement call.".  This seems
> > > unnecessarily weak and could lead to interoperability problems where
> > > an application assumes the re-use of the Call-ID.
> > >
> > > If a unique Call-ID is required, as specified in RFC 2543, then why
> > > give the end-point the option to re-use the existing Call-ID?
> >
> >   When we were first discussing methods of performing attended call
> > transfer, there was alot of discussion about using the Call-ID to
> > perform the replaces operation, that is, the replacement call (or
> > joining call) would be identified by having the same Call-ID as an
> > existing call.
> >
> >   So, the text should really read "in our replaces model, a unique
> > call-id may be given to the replacement call, instead of
> > previous models
> > which overloaded the meaning of the call-id".  I wasn't trying to
> > dictate behavior either way.
>
> "may" is not strong enough. I think the consensus was to continue to have
> call-ids be unique, in which case the replacement call MUST use a new
> call-id.
>
> -Jonathan R.
> ---
> Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
> Chief Scientist                             First Floor
> dynamicsoft                                 East Hanover, NJ 07936
> [email-masked]                     FAX:   (973) 952-5050
> http://www.jdrosen.net                      PHONE: (973) 952-5000
> http://www.dynamicsoft.com
>
> _______________________________________________
> Sip mailing list  http://www.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Jonathan Rosenberg <[email-masked]>
Date: Thu, 8 Nov 2001 01:00:33 -0500

> From: Daniel G. Petrie [mailto:[email-masked]]
> Sent: Thursday, November 01, 2001 2:17 PM
> To: Jonathan Rosenberg
> Cc: 'Billy Biggs'; Jonathan Cumming; SIP List

I seem to recall subsequent list discussion which concluded that it would
cause problems. Its hard to argue against the use of unique identifiers for
things. 

-Jonathan R.
---